cURL
curl --request GET \
--url https://www.atom.com/api/marketplace/trademark-searchimport requests
url = "https://www.atom.com/api/marketplace/trademark-search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://www.atom.com/api/marketplace/trademark-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.atom.com/api/marketplace/trademark-search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.atom.com/api/marketplace/trademark-search"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.atom.com/api/marketplace/trademark-search")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.atom.com/api/marketplace/trademark-search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"success": true,
"keyword": "brightly",
"search_type": "phrase",
"filing_status": "all",
"class": "",
"page": 1,
"page_size": 3,
"total_results": 103,
"data": [
{
"trademark_name": "BRIGHTLY",
"serial_number": "88421013",
"description": "Downloadable computer software for mobile devices featuring digital content in the nature of podcasts, webcasts, online magazines and journals, newsletters and blogs in the fields of shopping, health,...",
"status_category": "Dead",
"status_subcategory": "Abandoned",
"status_code": 606,
"international_classes": "009",
"owners": "BRIGHTLY GROUP INC., BRIGHTLY GROUP INC., Blue Tarp Strategies, Inc.",
"owners_full_details": [
{
"address": "236 WEST 30TH STREET, 8TH FLOOR ",
"entry_number": "1",
"city": "NEW YORK",
"party_type": "20",
"legal_entity_type_code": "03",
"name": "BRIGHTLY GROUP INC.",
"postcode": "10001",
"state": "NY"
}
],
"filing_date": "2019-05-08",
"mark_drawing_code": "4",
"standard_characters_claimed": "T",
"trademark_in": "T",
"service_mark_in": "F",
"collective_service_mark_in": "F",
"collective_membership_mark_in": "F",
"certification_mark_in": "F",
"intent_to_use_in": "T",
"intent_to_use_current_in": "T",
"attorney_name": "Kristin Grant",
"attorney_correspondence": "Kristin Grant GRANT ATTORNEYS AT LAW PLLC;40 EXCHANGE PLACE, SUITE 1306;NEW YORK, NY 10005;UNITED STATES ",
"attorney_doc_number": "",
"registration_date": "N/A",
"status_date": "2022-06-06",
"case_file_events_statements": [
{
"date": "20200520",
"number": "18",
"code": "AITU",
"description-text": "CASE ASSIGNED TO INTENT TO USE PARALEGAL",
"type": "A"
},
{
"date": "20220317",
"number": "42",
"code": "ARAA",
"description-text": "ATTORNEY/DOM.REP.REVOKED AND/OR APPOINTED",
"type": "I"
}
],
"created_at": "2025-08-28 16:25:42",
"logo_path": "/data/new/uspto/tm_images/88/42/10/13/88421013.png",
"_score": 3009.419
}
],
"usage": {
"used_today": 1,
"daily_limit": 10,
"cumulative_count": 1,
"user_level": "B"
}
}Trademark Search API's
Trademark Search
Search the USPTO trademark database to check for potential conflicts before registering or purchasing a domain name. Filter by filing status, international class, and more.
GET
/
trademark-search
cURL
curl --request GET \
--url https://www.atom.com/api/marketplace/trademark-searchimport requests
url = "https://www.atom.com/api/marketplace/trademark-search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://www.atom.com/api/marketplace/trademark-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.atom.com/api/marketplace/trademark-search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.atom.com/api/marketplace/trademark-search"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.atom.com/api/marketplace/trademark-search")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.atom.com/api/marketplace/trademark-search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"success": true,
"keyword": "brightly",
"search_type": "phrase",
"filing_status": "all",
"class": "",
"page": 1,
"page_size": 3,
"total_results": 103,
"data": [
{
"trademark_name": "BRIGHTLY",
"serial_number": "88421013",
"description": "Downloadable computer software for mobile devices featuring digital content in the nature of podcasts, webcasts, online magazines and journals, newsletters and blogs in the fields of shopping, health,...",
"status_category": "Dead",
"status_subcategory": "Abandoned",
"status_code": 606,
"international_classes": "009",
"owners": "BRIGHTLY GROUP INC., BRIGHTLY GROUP INC., Blue Tarp Strategies, Inc.",
"owners_full_details": [
{
"address": "236 WEST 30TH STREET, 8TH FLOOR ",
"entry_number": "1",
"city": "NEW YORK",
"party_type": "20",
"legal_entity_type_code": "03",
"name": "BRIGHTLY GROUP INC.",
"postcode": "10001",
"state": "NY"
}
],
"filing_date": "2019-05-08",
"mark_drawing_code": "4",
"standard_characters_claimed": "T",
"trademark_in": "T",
"service_mark_in": "F",
"collective_service_mark_in": "F",
"collective_membership_mark_in": "F",
"certification_mark_in": "F",
"intent_to_use_in": "T",
"intent_to_use_current_in": "T",
"attorney_name": "Kristin Grant",
"attorney_correspondence": "Kristin Grant GRANT ATTORNEYS AT LAW PLLC;40 EXCHANGE PLACE, SUITE 1306;NEW YORK, NY 10005;UNITED STATES ",
"attorney_doc_number": "",
"registration_date": "N/A",
"status_date": "2022-06-06",
"case_file_events_statements": [
{
"date": "20200520",
"number": "18",
"code": "AITU",
"description-text": "CASE ASSIGNED TO INTENT TO USE PARALEGAL",
"type": "A"
},
{
"date": "20220317",
"number": "42",
"code": "ARAA",
"description-text": "ATTORNEY/DOM.REP.REVOKED AND/OR APPOINTED",
"type": "I"
}
],
"created_at": "2025-08-28 16:25:42",
"logo_path": "/data/new/uspto/tm_images/88/42/10/13/88421013.png",
"_score": 3009.419
}
],
"usage": {
"used_today": 1,
"daily_limit": 10,
"cumulative_count": 1,
"user_level": "B"
}
}Query Parameters
Your Trademark API key
Your Atom user ID
Keyword to search for in trademark names
Type of search to perform
Filter by trademark filing status
International class filter (e.g., ‘009’ for computer software)
Page number for pagination
Number of results per page (max 100)
Response
200 - application/json
Successful operation